
package com.atolcd.archiland.ws._1;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;
import com.atolcd.archiland.wsmodel._1.ActeDescription;
import com.atolcd.archiland.wsmodel._1.ArchiveTransferReply;
import com.atolcd.archiland.wsmodel._1.FinanceDescription;
import com.atolcd.archiland.wsmodel._1.PayeDescription;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.6 in JDK 6
 * Generated source version: 2.1
 * 
 */
@WebService(name = "ArchilandServiceSoapPort", targetNamespace = "http://www.atolcd.com/archiland/ws/1.0")
@XmlSeeAlso({
    com.atolcd.archiland.wsmodel._1.ObjectFactory.class,
    com.atolcd.archiland.ws._1.ObjectFactory.class
})
public interface ArchilandServiceSoapPort {


    /**
     * 
     * @param requete
     * @return
     *     returns int
     */
    @WebMethod(action = "http://www.atolcd.com/archiland/ws/1.0/createActe")
    @WebResult(targetNamespace = "http://www.atolcd.com/archiland/ws/1.0")
    @RequestWrapper(localName = "createActe", targetNamespace = "http://www.atolcd.com/archiland/ws/1.0", className = "com.atolcd.archiland.ws._1.CreateActe")
    @ResponseWrapper(localName = "simpleResponse", targetNamespace = "http://www.atolcd.com/archiland/ws/1.0", className = "com.atolcd.archiland.ws._1.SimpleResponse")
    public int createActe(
        @WebParam(name = "requete", targetNamespace = "http://www.atolcd.com/archiland/ws/1.0")
        ActeDescription requete);

    /**
     * 
     * @param requete
     * @return
     *     returns int
     */
    @WebMethod(action = "http://www.atolcd.com/archiland/ws/1.0/createFinance")
    @WebResult(targetNamespace = "http://www.atolcd.com/archiland/ws/1.0")
    @RequestWrapper(localName = "createFinance", targetNamespace = "http://www.atolcd.com/archiland/ws/1.0", className = "com.atolcd.archiland.ws._1.CreateFinance")
    @ResponseWrapper(localName = "simpleResponse", targetNamespace = "http://www.atolcd.com/archiland/ws/1.0", className = "com.atolcd.archiland.ws._1.SimpleResponse")
    public int createFinance(
        @WebParam(name = "requete", targetNamespace = "http://www.atolcd.com/archiland/ws/1.0")
        FinanceDescription requete);

    /**
     * 
     * @param requete
     * @return
     *     returns int
     */
    @WebMethod(action = "http://www.atolcd.com/archiland/ws/1.0/createPaye")
    @WebResult(targetNamespace = "http://www.atolcd.com/archiland/ws/1.0")
    @RequestWrapper(localName = "createPaye", targetNamespace = "http://www.atolcd.com/archiland/ws/1.0", className = "com.atolcd.archiland.ws._1.CreatePaye")
    @ResponseWrapper(localName = "simpleResponse", targetNamespace = "http://www.atolcd.com/archiland/ws/1.0", className = "com.atolcd.archiland.ws._1.SimpleResponse")
    public int createPaye(
        @WebParam(name = "requete", targetNamespace = "http://www.atolcd.com/archiland/ws/1.0")
        PayeDescription requete);

    /**
     * 
     * @param requete
     * @return
     *     returns int
     */
    @WebMethod(action = "http://www.atolcd.com/archiland/ws/1.0/updateStatus")
    @WebResult(targetNamespace = "http://www.atolcd.com/archiland/ws/1.0")
    @RequestWrapper(localName = "updateStatus", targetNamespace = "http://www.atolcd.com/archiland/ws/1.0", className = "com.atolcd.archiland.ws._1.UpdateStatus")
    @ResponseWrapper(localName = "simpleResponse", targetNamespace = "http://www.atolcd.com/archiland/ws/1.0", className = "com.atolcd.archiland.ws._1.SimpleResponse")
    public int updateStatus(
        @WebParam(name = "requete", targetNamespace = "http://www.atolcd.com/archiland/ws/1.0")
        ArchiveTransferReply requete);

}
